﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SyncfusionMvcApplication11;
using Syncfusion.JavaScript;
using System.Collections;
using System.ComponentModel.DataAnnotations;
using SyncfusionMvcApplication11.Models;
namespace SyncfusionMvcApplication11.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            ViewBag.datasource = GetData();
            return View();
        }

       
        public List<OrderTable> GetData()
        {
            List<OrderTable> obj = new List<OrderTable>();

            var data = new NorthwindDataContext().OrdersViews.Take(200).ToList();
            foreach (var objdata in data)
            {
                if (objdata.EmployeeID < 2)
                {
                    obj.Add(
                          new OrderTable()
                          {

                              JobID = objdata.OrderID,
                              UserID = objdata.EmployeeID,
                              JobStatus = "Finished",
                              JobCountry = objdata.ShipCountry
                          }
                    );
                }
                else if (objdata.EmployeeID > 5)
                {
                    obj.Add(
                          new OrderTable()
                          {

                              JobID = objdata.OrderID,
                              UserID = objdata.EmployeeID,
                              JobStatus = "Failed",
                              JobCountry = objdata.ShipCountry
                          }
                    );


                }
                else
                {

                    obj.Add(
                          new OrderTable()
                          {

                              JobID = objdata.OrderID,
                              UserID = objdata.EmployeeID,
                              JobStatus = "Queued",
                              JobCountry = objdata.ShipCountry
                          }
                    );
                }


            }
            return obj;
        }


    }
}



